# BEGIN SourceDeps(oneline):
BuildRequires: /usr/bin/net-snmp-config libnet-snmp-devel perl(AutoLoader.pm) perl(Config.pm) perl(DynaLoader.pm) perl(Exporter.pm)
# END SourceDeps(oneline)
%define module_name NetSNMP-default_store
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 5.0404
Release: alt6
Summary: Perl extension for Net-SNMP generic storage of global data
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/H/HA/HARDAKER/%{module_name}-%{version}.tar.gz

%description
This module is a wrapper around the net-snmp default store routines.
See the net-snmp default_store manual page for details on what the
various functions do and the values that can be set/retrieved.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README Changes
%perl_vendor_archlib/N*
%perl_vendor_autolib/*

%changelog
* Wed Nov 29 2023 Igor Vlasenko <viy@altlinux.org> 5.0404-alt6
- rebuild with perl 5.38

* Wed Mar 01 2023 Cronbuild Service <cronbuild@altlinux.org> 5.0404-alt5
- rebuild to get rid of unmets

* Wed Jun 16 2021 Igor Vlasenko <viy@altlinux.org> 5.0404-alt4
- rebuild with perl 5.34.0

* Thu Oct 01 2020 Igor Vlasenko <viy@altlinux.ru> 5.0404-alt3
- rebuild with perl 5.30

* Tue Sep 03 2019 Cronbuild Service <cronbuild@altlinux.org> 5.0404-alt2
- rebuild to get rid of unmets

* Wed Mar 20 2019 Igor Vlasenko <viy@altlinux.ru> 5.0404-alt1
- initial import by package builder

